Name:		systester
Version:	1.5.1
Release:	1.1
Summary:	An opensource clone of SuperPI
Group:		System/Benchmark
License:	GPL
URL:		http://systester.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch: s390 s390x
BuildRequires: qt
BuildRequires: qt-devel
BuildRequires: gmp-devel gcc-c++

%description
System Stability Tester tries to test the system's stability by calculating up to 128 millions of Pi digits.
It supports multiple calculation algorithms. For the moment only two have been implemented. The Quadratic 
Convergence of Borwein and Gauss-Legendre, the algorithm SuperPi uses. The testing process includes the 
creation of two or more threads. After each step of the calculation, the results of all the threads are compared.
Any differences between them are reported. There is also the option for single threaded calculation, but in this 
case there is no stability check

%package cli
Group:		System/Benchmark
Summary:	CLI and Lite version of systester

%description cli
This package holds the cli versions of systester.

%prep
%setup -q

%build
qmake systester.pro
make 
cd cli
make
make lite
cd ..

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}/
cp -p systester %{buildroot}%{_bindir}/
cp -p cli/systester-cli %{buildroot}%{_bindir}/
cp -p cli/systester-lite %{buildroot}%{_bindir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/systester

%files cli
%defattr(-,root,root,-)
%{_bindir}/systester-cli
%{_bindir}/systester-lite

%changelog
* Sun Feb 17 2013 cs@linux-administrator.com
- update to release 1.5.1
* Mon Aug  8 2011 cs@linux-administrator.com
- create subpackage for cli & lite version
* Sun Aug  7 2011 cs@linux-administrator.com
- initial package
